void I2C_Init(void);
void I2C_WR_A(unsigned char addr_I2C, unsigned char *p_I2C, unsigned char number_byte, unsigned char addr_byte);
void FM24_WR(void);
void delay_ms(unsigned int del);
void delay_us(unsigned int del);

#define	SLA_W_FM24	0xA0	//  FM24C16   + addr_page + R=1,W=0
#define	T_DATA_ACK	0x28	// Transmit DATA anf receive ACK
#define	Status_I2C		(TWSR & 0xF8)					// Status code in TWSR
#define E_I2C_NO_ACK		((1 << TWINT) | (1 << TWEN))			// Enable I2C with NO ACK
#define I2C_START		(1<<TWINT) | (1<<TWSTA) | (1<<TWEN)		// Transmit START
#define	I2C_STOP		(1<<TWINT) | (1<<TWEN) | (1<<TWSTO)		// Transmit STOP
#define	YES_INT			(TWCR & (1<<TWINT))				// Wait INT

#define  TWINT    7
#define  TWSTA    5
#define  TWSTO    4
#define  TWEN     2
